import React from 'react';
import { BrowserRouter as Router, Routes, Route } from 'react-router-dom';
import TranscriptionPage from './pages/TranscriptionPage';
import TranscriptionResultsPage from './pages/TranscriptionResultsPage';
import './App.css';

function App() {
  return (
    <Router>
      <div className="App">
        <Routes>
          <Route path="/" element={<TranscriptionPage />} />
          <Route path="/results" element={<TranscriptionResultsPage />} />
          <Route path="*" element={<TranscriptionPage />} />
        </Routes>
      </div>
    </Router>
  );
}

export default App;

