import React from 'react';
import './StatusIndicator.css';

const StatusIndicator = ({ status }) => {
  return (
    <div className={`status-indicator ${status.toLowerCase()}`}>
      {status === 'RECORDING' && <span>Recording in progress...</span>}
      {status === 'TRANSCRIBING' && <span>Transcribing audio...</span>}
      {status === 'ERROR' && <span>Error occurred</span>}
    </div>
  );
};

export default StatusIndicator;

